<?php

require_once 'core/system.php';


head('Пещера');




reg(); 


$dop=$dbc->query("SELECT * FROM `dop`where `user`= '".$user['id']."' ")->fetch_assoc(); 
if($user['banda']>0){ header('location: banda.php'); exit; }
if($user['level']<15){ ?><center>Подземелье в пещере Доступно с 15ур</center><? foot(); exit; }





$dis = $dop['dung1'] - time();
$dis2 = $dop['dung2'] - time();
$dis3 = $dop['dung3'] - time();

$dis4 = $dop['dung4'] - time();


if(Sec2Time($dis)>0){  $iss_as = ''.Sec2Time($dis).'';}else{ $iss_as = '<font color=green>Доступно</font>';}



if(Sec2Time($dis2)>0){  $iss_bol = ''.Sec2Time($dis2).'';}else{ $iss_bol = '<font color=green>Доступно</font>';}

if(Sec2Time($dis3)>0){  $d_bol = ''.Sec2Time($dis3).'';}else{ $d_bol = '<font color=green>Доступно</font>';}


if(Sec2Time($dis4)>0){  $zl_bol = ''.Sec2Time($dis4).'';}else{ $zl_bol = '<font color=green>Доступно</font>';}




if(isset($_GET['band'])){


$sea =$dbc->query("SELECT * FROM `banda` WHERE `war`=0 and `lim`<6");
while($band=$sea->fetch_assoc()){ 


$lid=$dbc->query("SELECT `id`,`pers`,`storona`,`login` FROM `users` where `id`= '".$band['lider']."' LIMIT 1")->fetch_assoc(); 

?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><table>


        <tr>
            <td style="width: 45px;"><img src="img/dung/loc/<?=$band['dung']?>.png" style="box-shadow: 0px 0px 20px blue; margin: 10px;"></td>







<td>
<span class="iLegendary">Лидер</span>: <a href="/pers.php?ank=<?=$lid['id']?>"> <img src="img/class/<?=$lid['storona']?>/<?=$lid['pers']?>/pers.png" width="13" height="13" alt="*"><?=$lid['login']?></a></br>Состав <?=$band['lim']?>/6   </br><font color=blueviolet><?=$band['name']?> <a href="dung.php?id=<?=$band['id']?>&amp;nex">Вступить</a></br><?


if($user['id']==1){
?><a href="dung.php?id=<?=$band['id']?>&amp;delete">Удалить</a></br><?}




?>

















</div>
            </td>
        </tr>
</table> </div></div><?










 }

















foot();exit;

}




if(isset($_GET['delete']) and !empty($_GET['id'])){    
$it = int($_GET['id']);


$theb = $dbc->query("SELECT * FROM `banda` WHERE `id`='".$it."' LIMIT 1")->fetch_assoc();

    if($user['id']!=1){    header("Location: dung.php"); exit; }

    if($theb['war']==1){    header("Location: dung.php"); exit; }
$dbc->query("UPDATE `users` SET `banda`=0 WHERE `banda`='".$theb['id']."'"); $dbc->query("delete from `banda` where `id` = '".$theb['id']."'"); header('location:dung.php?band');exit;
}



if(isset($_GET['nex']) and !empty($_GET['id'])){    
$it = int($_GET['id']);

$theb = $dbc->query("SELECT * FROM `banda` WHERE `id`='".$it."' LIMIT 1")->fetch_assoc();

    if(!$theb){    header("Location: dung.php"); exit; }




    if($theb['lim']>=6){    header("Location: dung.php"); exit; }




    if($theb['war']==1){    header("Location: dung.php"); exit; exit;}




    if($theb['dung']==1){    if(Sec2Time($dis)>0){    header("Location: dung.php"); exit;}}
    if($theb['dung']==2){    if(Sec2Time($dis2)>0){    header("Location: dung.php"); exit;}}

    if($theb['dung']==3){    if(Sec2Time($dis3)>0){    header("Location: dung.php"); exit;}}

    if($theb['dung']==4){    if(Sec2Time($dis4)>0){    header("Location: dung.php"); exit;}}

if($theb['lim']>1 and $theb['mes']==0){


$dbc->query("INSERT INTO `journal` SET `user_id`='".$theb['lider']."', `text`=' В подземелье ".$theb['name']." Собралось необходимое количество участников для начала боя.<br><a id=\"link_button\" href=\"banda.php?start\">Начать Бой</a>',



    `time`='".time()."'");
$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$theb['lider']."'");

$dbc->query("UPDATE `banda` SET `mes`=1 WHERE `id`='".$theb['id']."'");

}


$dbc->query("UPDATE `users` SET `banda`='".$it."' WHERE `id`='".$user['id']."'");

$dbc->query("UPDATE `dop` SET `banda`='".$it."' WHERE `user`='".$user['id']."'");
$dbc->query("UPDATE `banda` SET `lim`=`lim`+1 WHERE `id`='".$theb['id']."'");



header('location:banda.php');exit;

}


if(isset($_GET['zl_create'])){


if(Sec2Time($dis4)>0){ $_SESSION['message']='В данный момент вы не можете ходить в это подземелье. осталось '.Sec2Time($dis4).''; header('location:dung.php');exit;}




$sent = ("INSERT INTO `banda` (lider,name,etap,max_etap,war,dung,lim,hp,tip) values('".$user['id']."','Кровавые Залы',1,2,0,4,1,90000,1)"); 
















$dbc->query($sent);





$last = $dbc->insert_id;



    

$dbc->query("UPDATE `users` SET `banda`='".$last."' WHERE `id`='".$user['id']."'");
$dbc->query("UPDATE `dop` SET `banda`='".$last."' WHERE `user`='".$user['id']."'");









header('location:banda.php');exit;


} 
if(isset($_GET['sw_create'])){


if(Sec2Time($dis2)>0){ $_SESSION['message']='В данный момент вы не можете ходить в это подземелье. осталось '.Sec2Time($dis2).''; header('location:dung.php');exit;}




$sent = ("INSERT INTO `banda` (lider,name,etap,max_etap,war,dung,lim,hp,tip) values('".$user['id']."','Болота',1,5,0,2,1,40000,1)"); 















$dbc->query($sent);





$last = $dbc->insert_id;



    

$dbc->query("UPDATE `users` SET `banda`='".$last."' WHERE `id`='".$user['id']."'");
$dbc->query("UPDATE `dop` SET `banda`='".$last."' WHERE `user`='".$user['id']."'");









header('location:banda.php');exit;


}


if(isset($_GET['d_create'])){


if(Sec2Time($dis3)>0){ $_SESSION['message']='В данный момент вы не можете ходить в это подземелье. осталось '.Sec2Time($dis3).''; header('location:dung.php');exit;}




$sent = ("INSERT INTO `banda` (lider,name,etap,max_etap,war,dung,lim,hp,tip) values('".$user['id']."','Логово Дракона',1,4,0,3,1,40000,2)"); 
















$dbc->query($sent);





$last = $dbc->insert_id;



    

$dbc->query("UPDATE `users` SET `banda`='".$last."' WHERE `id`='".$user['id']."'");
$dbc->query("UPDATE `dop` SET `banda`='".$last."' WHERE `user`='".$user['id']."'");









header('location:banda.php');exit;


}


if(isset($_GET['zl_info'])){


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2">


<img src="img/dung/loc/4.png" style="box-shadow: 0px 0px 20px red; margin: 10px;"> Только кровь и Страх наполняют эти залы, а где то в конце зала... на своем троне... сидит Хранитель Мрака






</div></div><?


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><center><img src="/img/stat/sera.png">2000</center><?
?><span class="iLegendary">Добыча для Воина</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=1 and `dung`=4");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? }

?></br><span class="iLegendary">Добыча для Мага</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=2 and `dung`=4");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? } 

?></div></div><?



foot(); exit;

} 
if(isset($_GET['d_info'])){


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2">


<img src="img/dung/loc/3.png" style="box-shadow: 0px 0px 20px gold; margin: 10px;"> Страж этих земель.. кровавый дракон.. не одно столетие держит в страхе жителей.. ходит легенды о ценностями в пещерах в которых он обитает... <?

?></div></div><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><center><img src="/img/stat/sera.png">2000</center><?


?></br><span class="iLegendary">Возможная Награда</span></br><?

?><img src="img/res/min.png">25 <img src="img/res/med.png">10 <img src="img/res/mag.png">4  Свиток Охотника х3</br><?






?></div></div><?





foot(); exit;

}  






if(isset($_GET['sw_info'])){


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2">


<img src="img/dung/loc/2.png" style="box-shadow: 0px 0px 20px blue; margin: 10px;"> По топе ползают гоблины, ожидая путника, чтоб затянуть в гущу болот, их сокровища знамениты своей ценностью...




</div></div><?


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><center><img src="/img/stat/sera.png">2000</center><?

?><span class="iLegendary">Добыча для Воина</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=1 and `dung`=2");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? }

?></br><span class="iLegendary">Добыча для Мага</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=2 and `dung`=2");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? } 

?></div></div><?



foot(); exit;

} 

if(isset($_GET['astral_create'])){


if(Sec2Time($dis)>0){ $_SESSION['message']='В данный момент вы не можете ходить в это подземелье. осталось '.Sec2Time($dis).''; header('location:dung.php');exit;}




$sent = ("INSERT INTO `banda` (lider,name,etap,max_etap,war,dung,lim,hp,tip) values('".$user['id']."','Астрал',1,4,0,1,1,10000,1)"); 















$dbc->query($sent);





$last = $dbc->insert_id;



    

$dbc->query("UPDATE `users` SET `banda`='".$last."' WHERE `id`='".$user['id']."'");
$dbc->query("UPDATE `dop` SET `banda`='".$last."' WHERE `user`='".$user['id']."'");









header('location:banda.php');exit;


}
if(isset($_GET['astral_info'])){


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2">


<img src="img/dung/loc/1.png" style="box-shadow: 0px 0px 20px blue; margin: 10px;"> Души когтями скребут по стенам ущелья, создавая невыносимый звук. ... душа стынет видя эти бездонные глаза в темноте...




</div></div><?


?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><?

?><center><img src="/img/stat/sera.png">2000</center><?
?><span class="iLegendary">Добыча для Воина</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=1 and `dung`=1");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? }

?></br><span class="iLegendary">Добыча для Мага</span></br><?


$sql =$dbc->query("SELECT * FROM `dung_item` WHERE `class`=2 and `dung`=1");

while($inf=$sql->fetch_assoc()){ ?><a href="dung_item.php?ids=<?=$inf['id']?>" class="<?=$inf['lite']?>"><?=$inf['nik']?></a>

 <? } 

?></div></div><?



foot(); exit;

}

?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><table>


        <tr>
            <td style="width: 45px;"><div class="example3"
style="text-align:center"><a href="dung.php?astral_info"><img src="img/dung/loc/1.png" heigth="80px" style="box-shadow: 0px 0px 40px blue; margin: 10px;"></a><div class="example_text"><?=$iss_as?></div></div></td>
















<td>
<font color=blueviolet>Астрал <a href="dung.php?astral_create">Создать Банду</a></br>







</div>
            </td>
        </tr>
</table> </div></div><?



?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><table>


        <tr>
            <td style="width: 45px;"><div class="example3"
style="text-align:center"><a href="dung.php?sw_info"><img src="img/dung/loc/2.png" style="box-shadow: 0px 0px 20px violet; margin: 10px;"></a><div class="example_text"><?=$iss_bol?></div></div></td>










<td>
<font color=blueviolet>Болота <a href="dung.php?sw_create">Создать Банду</a></br>







</div>
            </td>
        </tr>
</table> </div></div><?

?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><table>


        <tr>
            <td style="width: 45px;"><div class="example3"
style="text-align:center"><a href="dung.php?d_info"><img src="img/dung/loc/3.png" style="box-shadow: 0px 0px 20px gold; margin: 10px;"></a><div class="example_text"><?=$d_bol?></div></div></td>










<td>
<font color=blueviolet>Логово Дракона <a href="dung.php?d_create">Создать Банду</a></br>







</div>
            </td>
        </tr>
</table> </div></div><?


?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><table>


        <tr>
            <td style="width: 45px;"><div class="example3"
style="text-align:center"><a href="dung.php?zl_info"><img src="img/dung/loc/4.png" heigth="80px" style="box-shadow: 0px 0px 40px red; margin: 10px;"></a><div class="example_text"><?=$zl_bol?></div></div></td>
















<td>
<font color=blueviolet>Кровавые Залы <a href="dung.php?zl_create">Создать Банду</a></br>







</div>
            </td>
        </tr>
</table> </div></div><?


?><a class="btn" href="dung.php?band">Доступные Банды</a><?






foot();
